Skip to main content
GET
/
events
/
{id}
Get an event by id
curl --request GET \
  --url https://app.unitedlogistics.com.do/api/v1/events/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.unitedlogistics.com.do/api/v1/events/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.unitedlogistics.com.do/api/v1/events/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": 987654321,
    "provider": "karma",
    "org_id": "d87f7281-ea19-45cd-b6fd-d8eb9e310da1",
    "fleet_id": 42,
    "vehicle_external_id": 11964,
    "device_id": "DEV-001",
    "external_message_id": 55001234,
    "event_date": "2026-05-15T14:32:10.000Z",
    "latitude": 18.4861,
    "longitude": -69.9312,
    "eid": 1,
    "speed_kph": 62.5,
    "heading_deg": 180,
    "odometer_km": 45231.7,
    "altitude_m": 35,
    "engine_status": 1,
    "ignition_status": 1,
    "extra": null,
    "inserted_at": "2026-05-15T14:35:00.000Z"
  }
}
{
  "error": {
    "code": "bad_request",
    "message": "limit must be an integer between 1 and 500."
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "API key missing or invalid."
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Evento no encontrado."
  }
}
{
  "error": {
    "code": "too_many_requests",
    "message": "Rate limit exceeded."
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer ulk__. Cree la clave en Configuración → API.

Path Parameters

id
string
required

Numeric event id.

Pattern: ^\d+$

Response

OK

data
object
required